Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIBeanValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIBeanValidator

All Implemented Interfaces:
  javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxContainer, org.ajax4jsf.component.AjaxContainerBase, org.ajax4jsf.component.AjaxSupport, org.ajax4jsf.event.AjaxSource

Direct Known Subclasses:
  HtmlBeanValidator

    public abstract class UIBeanValidator

extends javax.faces.component.UIComponentBase
implements org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxSupport, org.ajax4jsf.component.AjaxContainer

JSF component class

Field Summary
`static java.lang.String` | `BEAN_VALIDATOR_FACET`
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UIBeanValidator()`

Method Summary
`void` | `addAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`void` | `encodeAjax(javax.faces.context.FacesContext context)`
`protected void` | `findMessages(javax.faces.component.UIComponent component, java.util.ArrayList<javax.faces.component.UIMessage> messages)` Recursive search messages for the parent component.
`javax.el.MethodExpression` | `getAjaxListener()`
`org.ajax4jsf.event.AjaxListener[]` | `getAjaxListeners()`
`java.lang.String` | `getEventString()`
`java.util.List<javax.faces.component.UIMessage>` | `getMessages(javax.faces.context.FacesContext context)`
`javax.faces.component.UIComponent` | `getSingleComponent()`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)`
`void` | `setAjaxListener(javax.el.MethodExpression listener)`
`void` | `setParent(javax.faces.component.UIComponent parent)`
`void` | `setParentProperties(javax.faces.component.UIComponent parent)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setStatus, setTimeout`

Methods inherited from interface org.ajax4jsf.component.AjaxSupport
`getEvent, getOnsubmit, isDisableDefault, setDisableDefault, setEvent, setOnsubmit`

Methods inherited from interface org.ajax4jsf.component.AjaxContainer
`isRenderRegionOnly, setRenderRegionOnly`

Methods inherited from interface org.ajax4jsf.component.AjaxContainerBase
`isImmediate, isSelfRendered, isSubmitted, setImmediate, setSelfRendered, setSubmitted`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### BEAN_VALIDATOR_FACET

    public static final java.lang.String BEAN_VALIDATOR_FACET

See Also:
  Constant Field Values

Constructor Detail

### UIBeanValidator

    public UIBeanValidator()

Method Detail

### setParent

    public void setParent(javax.faces.component.UIComponent parent)

  Overrides:
    `setParent` in class `javax.faces.component.UIComponentBase`

### setParentProperties

    public void setParentProperties(javax.faces.component.UIComponent parent)
                             throws com.sun.facelets.FaceletException,
                                    javax.faces.FacesException

  Specified by:
    `setParentProperties` in interface `org.ajax4jsf.component.AjaxSupport`
  Parameters:
    `parent` -
  Throws:
    `com.sun.facelets.FaceletException`
    `javax.faces.FacesException`

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `javax.faces.component.UIComponentBase`

### getEventString

    public java.lang.String getEventString()

  Specified by:
    `getEventString` in interface `org.ajax4jsf.component.AjaxSupport`

### getSingleComponent

    public javax.faces.component.UIComponent getSingleComponent()

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Specified by:
    `encodeAjax` in interface `org.ajax4jsf.component.AjaxContainer`
  Throws:
    `java.io.IOException`

### getMessages

    public java.util.List<javax.faces.component.UIMessage> getMessages(javax.faces.context.FacesContext context)

### findMessages

    protected void findMessages(javax.faces.component.UIComponent component,
                                java.util.ArrayList<javax.faces.component.UIMessage> messages)

  Recursive search messages for the parent component.

  Parameters:
    `component` -
    `messages` -

### addAjaxListener

    public void addAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `addAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### getAjaxListeners

    public org.ajax4jsf.event.AjaxListener[] getAjaxListeners()

  Specified by:
    `getAjaxListeners` in interface `org.ajax4jsf.event.AjaxSource`

### removeAjaxListener

    public void removeAjaxListener(org.ajax4jsf.event.AjaxListener listener)

  Specified by:
    `removeAjaxListener` in interface `org.ajax4jsf.event.AjaxSource`

### setAjaxListener

    public void setAjaxListener(javax.el.MethodExpression listener)

  Specified by:
    `setAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

### getAjaxListener

    public javax.el.MethodExpression getAjaxListener()

  Specified by:
    `getAjaxListener` in interface `org.ajax4jsf.component.AjaxContainerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.